<?php
session_start();

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/func.php';

if(session_id() != $_POST['sid']) die('Access_denied');

$ext = substr($_FILES['upl_file']['name'], 1 + strrpos($_FILES['upl_file']['name'], "."));
$ext = strtolower($ext);
$nam = $_FILES['upl_file']['name'];
$valid_ext = array('jpg','jpeg','png'); // допустимые расширения
if(in_array($ext, $valid_ext)){
    $filename = time().'.'.$ext; // переименовываем файлик
    $path_file = $_SERVER['DOCUMENT_ROOT'].'/thumb/'.$filename;
    if(!copy($_FILES['upl_file']['tmp_name'], $path_file)){
        echo 'Файл не загружен. Повторите попытку';
    }else{

       $fil = 'thumb/'.$filename;

       $razm = get_filesize (''.$path_file.'');
       $pdo->Query("INSERT INTO `php_img` VALUES('', '" . $_SESSION['tov'] . "', '" . $_SESSION['id'] . "', '".$fil."')");
       $pdo->Query("UPDATE `php_tovar` SET `moder` = '3' WHERE `id` = '" . $_SESSION['tov'] . "'");
       echo "<br /><div align='center'><font color='green'>Изображение успешно добавлено.</font></div>";
       ?><script>  setTimeout( "location='/my';", 2000 ); </script><?
       unset ( $_SESSION["tov"] );
    }
}else{
    echo 'Недопустимый формат файла.';
}
?>